XMLURL Class Reference
Inheritance diagram for XMLURL:

## Public Types

enum | Protocols { File, HTTP, FTP, HTTPS, Protocols_Count, Unknown }

## Public Member Functions

| XMLURL (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLURL (const XMLCh *const baseURL, const XMLCh *const relativeURL, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLURL (const XMLCh *const baseURL, const char *const relativeURL, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLURL (const XMLURL &baseURL, const XMLCh *const relativeURL)
| XMLURL (const XMLURL &baseURL, const char *const relativeURL)
| XMLURL (const XMLCh *const urlText, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLURL (const char *const urlText, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLURL (const XMLURL &toCopy)
virtual | ~XMLURL ()
XMLURL & | operator= (const XMLURL &toAssign)
bool | operator== (const XMLURL &toCompare) const
bool | operator!= (const XMLURL &toCompare) const
const XMLCh * | getFragment () const
const XMLCh * | getHost () const
const XMLCh * | getPassword () const
const XMLCh * | getPath () const
unsigned int | getPortNum () const
Protocols | getProtocol () const
const XMLCh * | getProtocolName () const
const XMLCh * | getQuery () const
const XMLCh * | getURLText () const
const XMLCh * | getUser () const
MemoryManager * | getMemoryManager () const
void | setURL (const XMLCh *const urlText)
void | setURL (const XMLCh *const baseURL, const XMLCh *const relativeURL)
void | setURL (const XMLURL &baseURL, const XMLCh *const relativeURL)
bool | setURL (const XMLCh *const baseURL, const XMLCh *const relativeURL, XMLURL &xmlURL)
bool | isRelative () const
bool | hasInvalidChar () const
BinInputStream * | makeNewStream () const
void | makeRelativeTo (const XMLCh *const baseURLText)
void | makeRelativeTo (const XMLURL &baseURL)
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Static Public Member Functions

static Protocols | lookupByName (const XMLCh *const protoName)
static bool | parse (const XMLCh *const urlText, XMLURL &xmlURL)

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Member Enumeration Documentation

## Protocols

enum XMLURL::Protocols

Enumerator
File |
HTTP |
FTP |
HTTPS |
Protocols_Count |
Unknown |

## Constructor & Destructor Documentation

## XMLURL() [1/8]

XMLURL::XMLURL | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

## XMLURL() [2/8]

XMLURL::XMLURL | ( | const XMLCh *const | baseURL,
|  | const XMLCh *const | relativeURL,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## XMLURL() [3/8]

XMLURL::XMLURL | ( | const XMLCh *const | baseURL,
|  | const char *const | relativeURL,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## XMLURL() [4/8]

XMLURL::XMLURL | ( | const XMLURL & | baseURL,
|  | const XMLCh *const | relativeURL
| ) |  |

## XMLURL() [5/8]

XMLURL::XMLURL | ( | const XMLURL & | baseURL,
|  | const char *const | relativeURL
| ) |  |

## XMLURL() [6/8]

XMLURL::XMLURL | ( | const XMLCh *const | urlText,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## XMLURL() [7/8]

XMLURL::XMLURL | ( | const char *const | urlText,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## XMLURL() [8/8]

XMLURL::XMLURL | ( | const XMLURL & | toCopy | ) |

## ~XMLURL()

virtual XMLURL::~XMLURL | ( |  | ) |

virtual

## Member Function Documentation

## getFragment()

const XMLCh * XMLURL::getFragment | ( |  | ) | const

## getHost()

const XMLCh * XMLURL::getHost | ( |  | ) | const

## getMemoryManager()

MemoryManager * XMLURL::getMemoryManager | ( |  | ) | const

References MakeXMLException(), XERCES_CPP_NAMESPACE_END, and XMLUTIL_EXPORT.

## getPassword()

const XMLCh * XMLURL::getPassword | ( |  | ) | const

## getPath()

const XMLCh * XMLURL::getPath | ( |  | ) | const

## getPortNum()

unsigned int XMLURL::getPortNum | ( |  | ) | const

## getProtocol()

XMLURL::Protocols XMLURL::getProtocol | ( |  | ) | const

## getProtocolName()

const XMLCh* XMLURL::getProtocolName | ( |  | ) | const

## getQuery()

const XMLCh * XMLURL::getQuery | ( |  | ) | const

## getURLText()

const XMLCh * XMLURL::getURLText | ( |  | ) | const

## getUser()

const XMLCh * XMLURL::getUser | ( |  | ) | const

## hasInvalidChar()

bool XMLURL::hasInvalidChar | ( |  | ) | const

## isRelative()

bool XMLURL::isRelative | ( |  | ) | const

## lookupByName()

static Protocols XMLURL::lookupByName | ( | const XMLCh *const | protoName | ) |

static

## makeNewStream()

BinInputStream* XMLURL::makeNewStream | ( |  | ) | const

## makeRelativeTo() [1/2]

void XMLURL::makeRelativeTo | ( | const XMLCh *const | baseURLText | ) |

## makeRelativeTo() [2/2]

void XMLURL::makeRelativeTo | ( | const XMLURL & | baseURL | ) |

## operator!=()

bool XMLURL::operator!= | ( | const XMLURL & | toCompare | ) | const

## operator=()

XMLURL& XMLURL::operator= | ( | const XMLURL & | toAssign | ) |

## operator==()

bool XMLURL::operator== | ( | const XMLURL & | toCompare | ) | const

## parse()

static bool XMLURL::parse | ( | const XMLCh *const | urlText,
|  | XMLURL & | xmlURL
| ) |  |

static

## setURL() [1/4]

void XMLURL::setURL | ( | const XMLCh *const | urlText | ) |

## setURL() [2/4]

void XMLURL::setURL | ( | const XMLCh *const | baseURL,
|  | const XMLCh *const | relativeURL
| ) |  |

## setURL() [3/4]

void XMLURL::setURL | ( | const XMLURL & | baseURL,
|  | const XMLCh *const | relativeURL
| ) |  |

## setURL() [4/4]

bool XMLURL::setURL | ( | const XMLCh *const | baseURL,
|  | const XMLCh *const | relativeURL,
|  | XMLURL & | xmlURL
| ) |  |

The documentation for this class was generated from the following file:

- XMLURL.hpp